package nckd.jxccl.swc.stm.plugin.form.unitst;

import kd.bos.bill.BillShowParameter;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.swc.constants.StmConstant;

/**
* 单位工资总额预算申报调整
* 实体标识：nckd_unitstbudgetadjust
* @author W.Y.C
* @date 2025/12/11 14:43
* @version 1.0
*/
public class UnitStBudgetAdjustFormPlugin extends AbstractFormPlugin implements Plugin {


    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        BillShowParameter showParameter = (BillShowParameter) this.getView().getFormShowParameter();
        String formId = showParameter.getFormId();
        if(e.getOperationResult() != null && e.getOperationResult().isSuccess()){
            String operateKey = e.getOperateKey();
            if(operateKey.equalsIgnoreCase(StmConstant.SUBMITEFFECT_OP)){
                if(formId.equalsIgnoreCase(StmConstant.UNITSTBUDGETADJUST_ENTITYID)) {
                    this.getView().showSuccessNotification("回写”单位工资总额预算申报“成功！");
                }
            }
        }
    }





}